# Retrieve a rate plan charge Retrieve the details of a specific Rate Plan Charge object. Endpoint: GET /object-query/rate-plan-charges/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) ID of a rate plan charge. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. Enum: "rateplan", "productrateplancharge", "rateplanchargetiers" - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the rate plan charge. - `createdById` (string) The unique identifier of the user who created the rate plan charge. - `createdDate` (string) The date and time when the rate plan charge was created. - `updatedById` (string) The unique identifier of the user who last updated the rate plan charge. - `updatedDate` (string) The date and time when the rate plan charge was last updated. - `ratePlanId` (string) The unique identifier of the rate plan to which this rate plan charge belongs. - `productRatePlanChargeId` (string) The unique identifier of the product rate plan charge associated with this product rate plan charge. - `accountingCode` (string) The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes. Values: inherited from ProductRatePlanCharge.AccountingCode Note: This value changes if ProductRatePlanCharge.AccountingCode is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.AccountingCode is updated. - `applyDiscountTo` (string) Specifies the type of charges a specific discount applies to. Values: inherited from ProductRatePlanCharge.ApplyDiscountTo - `billCycleDay` (integer) Indicates the charge's billing cycle day (BCD), which is when bill runs generate invoices for charges associated with the product rate plan charge or the account. Values: inherited from ProductRatePlanCharge.BillCycleDay - `billCycleType` (string) Specifies how to determine the billing day for the charge. Values: inherited from ProductRatePlanCharge.BillCycleType Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `billingPeriod` (string) Allows billing period to be overridden on rate plan Charge. Values: inherited from ProductRatePlanCharge.BillingPeriod Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `billingPeriodAlignment` (string) Aligns charges within the same subscription if multiple charges begin on different dates. Values: inherited from ProductRatePlanCharge.BillingPeriodAlignment - `billingTiming` (string) The billing timing for the charge. You can choose to bill in advance or in arrears for recurring charge types. This field is not used in one-time or usage based charge types. Note: You can override the value inherited from the Product Rate Plan Charge when a subscription has a recurring charge type. Enum: "In Advance", "In Arrears" - `chargedThroughDate` (string) The date through which a customer has been billed for the charge. - `chargeModel` (string) Determines how to evaluate charges. Charge models must be individually activated in the web-based UI. Values: inherited from ProductRatePlanCharge.ChargeModel - `chargeNumber` (string) A unique number that identifies the charge. This number is returned as a string. Values: one of the following: - automatically generated if left null - a unique number of 50 characters or fewer - `chargeType` (string) Specifies the type of charge. Values: inherited from ProductRatePlanCharge.ChargeType - `description` (string) A description of the rate plan charge. - `discountLevel` (string) Application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge. Enum: "rateplan", "subscription", "account" - `dMRC` (number) A delta monthly recurring charge is the change in monthly recurring revenue caused by an amendment or a new subscription. Character limit: 16 Values: automatically generated - `drawdownRate` (number) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The [conversion rate](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge#UOM_Conversion) between Usage UOM and Drawdown UOM for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). Must be a positive number (>0). - `dTCV` (number) After an Amendment, the change in the total contract value (TCV) amount for this charge, compared with its previous value. Character limit: 16 Values: automatically generated - `effectiveEndDate` (string) Start date when the rate plan charge becomes active, as yyyy-mm-dd. - `effectiveStartDate` (string) Final date the rate plan is active, as yyyy-mm-dd. - `endDateCondition` (string) Condition for the charge to become inactive. - If the value of this field is FixedPeriod, the charge is active for a predefined duration based on the value of the upToPeriodsType and upToPeriods fields. - If the value of this field is SpecificEndDate, use the specificEndDate field to specify the date when the charge becomes inactive. Enum: "SubscriptionEnd", "FixedPeriod", "SpecificEndDate", "OneTime" - `estimatedStartDate` (string) The estimated start date of the pending charge in an active subscription. The value must be a date within the subscription term. The system will then automatically calculate the estimated end date for the pending charge. The estimated start and end dates are used to manage the estimated charge duration and forecast the revenue for the pending charge. Note: This field is available only when the Pending Subscription Processing feature is turned on. - `estimatedEndDate` (string) The estimated end date of the pending charge in an active subscription. The system automatically calculates the estimated end date for the pending charge. The estimated start and end dates are used to manage the estimated charge duration and forecast the revenue for the pending charge. Note: This field is available only when the Pending Subscription Processing feature is turned on. - `excludeItemBillingFromRevenueAccounting` (boolean) The flag to exclude rate plan charge related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. If both the following features are enabled in your tenant, you must ensure the excludeItemBillingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge. In addition, if the excludeItemBookingFromRevenueAccounting field in an Create Subscription or Add Product order action is set to false, you must also set the excludeItemBillingFromRevenueAccounting field in this order action to false. * Prepaid with Drawdown * Unbilled Usage Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `excludeItemBookingFromRevenueAccounting` (boolean) The flag to exclude rate plan charges from revenue accounting. If both the following features are enabled in your tenant, you must ensure the excludeItemBookingFromRevenueAccounting field is set consistently for a prepayment charge and the corresponding drawdown charge. * Prepaid with Drawdown * Unbilled Usage Note: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled. - `invoiceScheduleId` (string) The unique identifier of the invoice schedule associated with the subscription. - `isLastSegment` (boolean) Indicates if the segment of the rate plan charge is the most recent segment. Character limit: 5 Values: automatically generated. - `isPrepaid` (boolean) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Indicates whether this charge is a prepayment (topup) charge or a drawdown charge. - `isRollover` (boolean) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. It determines whether the rollover fields are needed. - `rolloverPeriods` (integer) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the number of rollover periods, it is restricted to 3. - `rolloverPeriodLength` (integer,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Use this field when you want to set the rollover fund's period length shorter than the prepayment charge's validity period. In this case, you must set the rolloverPeriods field to 1. For example, you can define the rollover fund's period length as 5 months, shorter than the prepayment charge's validity period: a year. - `rolloverApply` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. This field defines the priority of rollover, which is either first or last. Enum: "ApplyFirst", "ApplyLast" - `isProcessed` (boolean) Indicates whether the rate plan charge has been processed. - `listPriceBase` (string) The list price base for the product rate plan charge. Enum: "Per Billing Period", "Per Month", "Per Week", "Per Year", "Per Specific Months" - `specificListPriceBase` (integer,null) The number of months for the list price base of the charge. This field is required if you set the value of the ListPriceBase field to Per Specific Months. Notes: - This field is available only if you have the Annual List Price feature enabled. - The value of this field is null if you do not set the value of the ListPriceBase field to Per Specific Months. - `priceUpsellQuantityStacked` (boolean) - `commitmentType` (string) Note: This field is only available if you have the Unbilled Usage feature enabled. To use this field, you must set the X-Zuora-WSDL-Version request header to 133 or higher. Otherwise, an error occurs. This field defines the type of commitment. A prepaid charge can be UNIT or CURRENCY. A minimum commitment(in-arrears) charge can only be CURRENCY type. For topup(recurring or one-time) charges, this field indicates what type of funds are created. * If UNIT, it will create a fund with given prepaidUom. * If CURRENCY, it will create a fund with the currency amount calculated in list price. For drawdown(usage) charges, this field indicates what type of funds are drawdown from that created from topup charges. Enum: "UNIT", "CURRENCY" - `isCommitted` (boolean) Indicates whether the rate plan charge is commited. - `mRR` (number) Monthly recurring revenue (MRR) is the amount of recurring charges in a given month. The MRR calculation doesn't include one-time charges nor usage charges. Character limit: 16 Values: automatically generated - `name` (string) The name of the rate plan charge. Character limit: 100 Values: automatically generated - `numberOfPeriods` (integer) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. Character limit: 5 Values: inherited from ProductRatePlanCharge.NumberOfPeriod - `originalId` (string) The original ID of the rate plan charge. Character limit: 32 Values: automatically generated - `overageCalculationOption` (string) Determines when to calculate overage charges. If the value of the SmoothingMode field is null (not specified and not inherited from ProductRatePlanCharge.SmoothingMode), the value of this field is ignored. Character limit: 20 Values: inherited from ProductRatePlanCharge.OverageCalculationOption - `overageUnusedUnitsCreditOption` (string) Determines whether to credit the customer with unused units of usage. Character limit: 20 Values: inherited from ProductRatePlanCharge.OverageUnusedUnitsCreditOption - `prepaidOperationType` (string,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The type of this charge. It is either a prepayment (topup) charge or a drawdown charge. Enum: "topup", "drawdown", null - `prepaidQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The number of units included in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Must be a positive number (>0). - `prepaidTotalQuantity` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The total amount of units that end customers can use during a validity period when they subscribe to a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `priceChangeOption` (string) Applies an automatic price change when a termed subscription is renewed. Values: one of the following: - NoChange (default) - SpecificPercentageValue - UseLatestProductCatalogPricing - `priceIncreasePercentage` (number) Specifies the percentage to increase or decrease the price of renewed subscriptions. Character limit: 16 Values: a decimal value between -100 and 100 - `processedThroughDate` (string) The date until when charges have been processed. When billing in arrears, such as usage, this field value is the the same as the ChargedThroughDate value. This date is the earliest date when a charge can be amended. Character limit: 29 Values: automatically generated - `prorationOption` (string) Determines how to prorate charges when a subscription is created or amended. - `quantity` (number) The default quantity of units, such as the number of authors in a hosted wiki service. Valid for all charge models except for Flat Fee pricing. Character limit: 16 Values: a valid quantity value - `numberOfDeliveries` (number) Number of deliveries in the billing period for the charge segment. The numberOfDeliveries is used for the Delivery Pricing charge model only. Note: The Delivery Pricing charge model is in the Early Adopter phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. To manage and access this feature through the self-service interface, see [Enable billing features by yourself](https://knowledgecenter.zuora.com/Zuora_Billing/Bill_your_customers/Billing_Settings/Manage_Features) in the Knowledge Center. You can check Delivery Pricing in Billing Settings > Enable Charge Types / Models. - `ratingGroup` (string) A rating group based on which usage records are rated. Only applicable to Usage charges. Possible values: - ByBillingPeriod: The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. For more information, see [Usage rating by group](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Usage/Usage_Rating_by_Group). Enum: "ByBillingPeriod", "ByUsageStartDate", "ByUsageRecord", "ByUsageUpload", "ByGroupId" - `revenueRecognitionRuleName` (string) Specifies the Revenue Recognition Rule that you want the Rate Plan Charge to use. This field can be updated when Status is Draft. By default, the Revenue Recognition Rule is inherited from the Product Rate Plan Charge. For Amend calls, you can use this field only for NewProduct amendments. For Update calls, you can use this field only to update subscriptions in draft status. Note that if you use this field to specify a Revenue Recognition Rule for the Rate Plan Charge, the rule will remain as specified even if you later change the rule used by the corresponding Product Rate Plan Charge. Character limit: n/a Values: inherited from ProductRatePlanCharge.RevenueRecognitionRuleName or the name of an active Revenue Recognition Rule Note: Unless overridden, this value changes if ProductRatePlanCharge.RevenueRecognitionRuleName is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevenueRecognitionRuleName is updated. - `revenueRecognitionTiming` (string) Specifies the type of revenue recognition timing. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Upon Billing Document Posting Date", "Upon Order Activation Date" - `revenueAmortizationMethod` (string) Specifies the type of revenue amortization method. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. Note: This field is only available if you have the Order to Revenue feature enabled. Enum: "Immediate", "Ratable Using Start And End Dates" - `revRecCode` (string) Associates this product rate plan charge with a specific revenue recognition code. Character limit: 70 Values: inherited from ProductRatePlanCharge.RevRecCode or a valid revenue recognition code Note: Unless overridden, this value changes if ProductRatePlanCharge.RevRecCode is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevRecCode is updated. - `revRecTriggerCondition` (string) Specifies when revenue recognition begins. Character limit: 22 Values: inherited from ProductRatePlanCharge.RevRecTriggerCondition or one of the following: - ContractEffectiveDate - ServiceActivationDate - CustomerAcceptanceDate Note: Unless overridden, this value changes if ProductRatePlanCharge.RevRecTriggerCondition is updated. The values of UpdatedById and UpdatedDate for the RatePlanCharge do not change when ProductRatePlanCharge.RevRecTriggerCondition is updated. " - `segment` (integer) The identifying number of the subscription rate plan segment. Segments are numbered sequentially, starting with 1. Character limit: 2 Values: automatically generated - `specificBillingPeriod` (integer) Customizes the number of months or weeks for the charges billing period. This field is required if you set the value of the BillingPeriod field to Specific Months or Specific Weeks. Character limit: 5 Values: inherited from ProductRatePlanCharge.BillingPeriod Note: You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - `specificEndDate` (string) The specific date on which the charge ends, in yyyy-mm-dd format. Character limit: 29 Note: - This field is only applicable when the EndDateCondition field is set to SpecificEndDate. - If the subscription ends before the specific end date, the charge ends when the subscription ends. But if the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge will end on the specific end date. - `tCV` (number) The total contract value (TCV) is the value of a single rate plan charge in a subscription over the lifetime of the subscription. This value does not represent all charges on the subscription. The TCV includes recurring charges and one-time charges, but it doesn't include usage charge. Character limit: 16 Values: automatically generated - `triggerDate` (string) The date when the charge becomes effective and billing begins, in yyyy-mm-dd format. This field is required if the TriggerEvent field value is SpecificDate. Character limit: 29 - `triggerEvent` (string) Specifies when to start billing the customer for the charge. Note: This field can be passed through the Subscribe and Amend calls and will override the default value set on the Product Rate Plan Charge. Character limit: 18 Values: inherited from ProductRatePlanCharge.TriggerEvent and can be one of the following values: - ContractEffective is the date when the subscription's contract goes into effect and the charge is ready to be billed. - ServiceActivation is when the services or products for a subscription have been activated and the customers have access. - CustomerAcceptance is when the customer accepts the services or products for a subscription. - SpecificDate is valid only on the RatePlanCharge. - `uOM` (string) Specifies the units to measure usage. Character limit: 25 Values: inherited from ProductRatePlanCharge.UOM - `upToPeriods` (integer) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. Character limit: 5 Values: inherited from ProductRatePlanCharge.UpToPeriods Note: - You must use this field together with the UpToPeriodsType field to specify the time period. This field is only applicable only when the EndDateCondition field is set to FixedPeriod. - You can override the value inherited from the Product Rate Plan Charge, but only when creating a new subscription or a New Product amendment. - Use this field to override the value in ProductRatePlanCharge.UpToPeriod. - If you override the value in this field, enter a whole number between 0 and 65535, exclusive. - If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `upToPeriodsType` (string) The period type used to define when the charge ends. This field can be updated when Status is Draft. Note: - You must use this field together with the UpToPeriods field to specify the time period. - This field is only applicable only when the EndDateCondition field is set to FixedPeriod. Enum: "Billing Periods", "Days", "Weeks", "Months", "Years" - `version` (integer) The version of the rate plan charge. Each time a charge is amended, Zuora creates a new version of the rate plan charge. Character limit: 5 Values: automatically generated. - `weeklyBillCycleDay` (string) Specifies which day of the week as the bill cycle day (BCD) for the charge. Enum: "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" - `subscriptionId` (string) The unique identifier of the subscription to which the rate plan charge belongs. - `subscriptionOwnerId` (string) ID of the account that owns the subscription. - `invoiceOwnerId` (string) ID of the account that will pay the billing documents for the subscription. - `originalOrderDate` (string) The date when the rate plan charge is created through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sales order line in Zuora Revenue. - `amendedByOrderOn` (string) The date when the rate plan charge is amended through an order or amendment. This field is to standardize the booking date information to increase audit ability and traceability of data between Zuora Billing and Zuora Revenue. It is mapped as the booking date for a sale order line in Zuora Revenue. - `validityPeriodType` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The period in which the prepayment units are valid to use as defined in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Enum: "SUBSCRIPTION_TERM", "ANNUAL", "SEMI_ANNUAL", "QUARTER", "MONTH" - `creditOption` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The way to calculate credit. See [Credit Option](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge#Credit_Option) for more information. Enum: "TimeBased", "ConsumptionBased", "FullCreditBack" - `applyToBillingPeriodPartially` (boolean) Allow the discount duration to be aligned with the billing period partially. Note: You must enable the [Enhanced Discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Build_products_and_prices/Basic_concepts_and_terms/B_Charge_Models/D_Manage_Enhanced_Discount) feature to access this field. - `productChargeDefinitionId` (string) The unique ID of the product charge definition. - `accountReceivableAccountingCodeId` (string) ID of the accountReceivableAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders, Zuora Finance, and Invoice Settlement features are enabled. - `deferredRevenueAccountingCodeId` (string) ID of the deferredRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders and Zuora Finance features are enabled. - `recognizedRevenueAccountingCodeId` (string) ID of the recognizedRevenueAccountingCode of a standalone charge. Note: This field is available when the Standalone Orders and Zuora Finance features are enabled. - `prepaidUOM` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `drawdownUom` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). - `salesPrice` (number) The sales price associated with the rate plan charge expressed as a decimal. Notes: - This field is only available to subscriptions that are created through orders and exist after 2023-01-10. - This field applies to the following charge models, and the values vary with the charge models: - Flat fee: the value equals the value of the price field. - Per unit: the value equals price multiplied by quantity. - Fixed amount discount: the value equals the value of the discountAmount field. - Volume: The calculation of the tier price is dependent on whether the price format is the flat fee or per unit. - Tiered: The calculation of the tier price is dependent on whether the price format is the flat fee or per unit. - `taxable` (boolean) Indicates whether the rate plan charge is taxable. - `reverted` (boolean) Indicates whether the rate plan charge has been reverted. - `reflectDiscountInNetAmount` (boolean) Indicates whether the discount is reflected in the net amount. - `ratePlan` (object) - `ratePlan.id` (string) The unique identifier of the rate plan. - `ratePlan.createdById` (string) The unique identifier of the user who created the rate plan. - `ratePlan.createdDate` (string) The date and time when the rate plan was created. - `ratePlan.updatedById` (string) The unique identifier of the user who last updated the rate plan. - `ratePlan.updatedDate` (string) The date and time when the rate plan was last updated. - `ratePlan.productId` (string) The unique identifier of the product associated with the rate plan. - `ratePlan.amendmentId` (string) The unique identifier of the amendment made to the subscription. Note: This field is not available for single version subscriptions. - `ratePlan.amendmentType` (string) The type of amendment associated with the rate plan. This field only applies to amendment rate plans. Note: This field is not available for single version subscriptions. - `ratePlan.name` (string) The name of the rate plan. - `ratePlan.productRatePlanId` (string) The unique identifier of the product rate plan that the rate plan is based on. - `ratePlan.subscriptionId` (string) The unique identifier of the subscription associated with the rate plan. - `ratePlan.subscriptionOwnerId` (string) The unique identifier of the account that owns the subscription. - `ratePlan.invoiceOwnerId` (string) The unique identifier of the account that will pay the invoice. - `ratePlan.externallyManagedPlanId` (string) Indicates the unique identifier for the rate plan purchased on a third-party store. This field is used to represent a subscription rate plan created through third-party stores. - `ratePlan.originalRatePlanId` (string) The original ID of the subscription rate plan, which is the ID of the subscription rate plan in the version-1 subscription. - `ratePlan.subscriptionOfferId` (string) The unique identifier of the subscription offer associated with the rate plan. Note: This field is not available for single version subscriptions. - `ratePlan.subscriptionRatePlanNumber` (string) The number of the rate plan in the subscription. - `ratePlan.subscription` (object) The subscription associated with the rate plan. - `ratePlan.productRatePlan` (object) The product rate plan associated with the rate plan. - `ratePlan.reverted` (boolean) Indicates whether the rate plan has been reverted. - `ratePlan.ratePlanCharges` (array) The rate plan charges on the rate plan. - `productRatePlanCharge` (object) - `productRatePlanCharge.id` (string) The unique identifier of the product rate plan charge. - `productRatePlanCharge.createdById` (string) The unique identifier of the user who created the product rate plan charge. - `productRatePlanCharge.createdDate` (string) The date and time when the product rate plan charge was created. - `productRatePlanCharge.updatedById` (string) The unique identifier of the user who last updated the product rate plan charge. - `productRatePlanCharge.updatedDate` (string) The date and time when the product rate plan charge was last updated. - `productRatePlanCharge.accountingCode` (string) The accounting code for the charge. Accounting codes group transactions that contain similar accounting attributes. - `productRatePlanCharge.applyDiscountTo` (string,null) Indicates which type of charge the discount charge applies to. Enum: "ONETIME", "RECURRING", "USAGE", "ONETIMERECURRING", "ONETIMEUSAGE", "RECURRINGUSAGE", "ONETIMERECURRINGUSAGE", null - `productRatePlanCharge.chargeFunction` (string) Note: This field is only available if you have the Prepaid with Drawdown or Minimum Commitment feature enabled. This field defines what type of charge it is: * Standard: Normal charge with no Prepayment or Commitment or Drawdown. * Prepayment: For recurring charges. Unit or currency based prepaid charge. * CommitmentTrueUp: For recurring charges. Currency based minimum commitment charge. * Drawdown: For usage charges. Drawdown from prepaid funds. * DrawdownAndCreditCommitment: For usage charges. Drawdown from prepaid funds and then credit to minimum commitment funds. * CreditCommitment: For usage charges. Credit to minimum commitment funds. Enum: "Standard", "Prepayment", "CommitmentTrueUp", "Drawdown", "CreditCommitment", "DrawdownAndCreditCommitment" - `productRatePlanCharge.isAllocationEligible` (boolean) Indicates whether the charge segment is allocation eligible in revenue recognition. - `productRatePlanCharge.isUnbilled` (boolean) Specifies how to perform the accounting during revenue recognition. - `productRatePlanCharge.applyToBillingPeriodPartially` (boolean) Allow the discount duration to be aligned with the billing period partially. - `productRatePlanCharge.billCycleDay` (integer) Sets the bill cycle day (BCD) for the charge. The BCD determines which day of the month customer is billed. The BCD value in the account can override the BCD in this object. - `productRatePlanCharge.billCycleType` (string) Specifies how to determine the billing day for the charge. Enum: "DefaultFromCustomer", "SpecificDayofMonth", "SubscriptionStartDay", "ChargeTriggerDay", "SpecificDayofWeek", "TermStartDay", "TermEndDay" - `productRatePlanCharge.billingPeriod` (string) The billing period for the charge. The start day of the billing period is also called the bill cycle day (BCD). Enum: "Month", "Quarter", "Annual", "Semi-Annual", "Specific Months", "Subscription Term", "Week", "Specific Weeks", "Specific Days" - `productRatePlanCharge.billingPeriodAlignment` (string) The billing period alignment setting for this charge. Enum: "AlignToCharge", "AlignToSubscriptionStart", "AlignToTermStart", "AlignToTermEnd" - `productRatePlanCharge.billingTiming` (string) The billing timing for this charge. Enum: "IN_ADVANCE", "IN_ARREARS" - `productRatePlanCharge.chargeModel` (string) Determines how to calculate charges. Charge models must be individually activated in Zuora Billing administration. Enum: "Discount-Fixed Amount", "Discount-Percentage", "Flat Fee Pricing", "Per Unit Pricing", "Overage Pricing", "Tiered Pricing", "Tiered with Overage Pricing", "Volume Pricing", "Delivery Pricing", "MultiAttributePricing", "PreratedPerUnit", "PreratedPricing`", "HighWatermarkVolumePricing", "HighWatermarkTieredPricing" - `productRatePlanCharge.chargeType` (string) Specifies the type of charge. Enum: "OneTime", "Recurring", "Usage" - `productRatePlanCharge.creditOption` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The way to calculate credit. See [Credit Option](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge#Credit_Option) for more information. Enum: "TimeBased", "ConsumptionBased", "FullCreditBack" - `productRatePlanCharge.defaultQuantity` (number,null) The default quantity. This field is applicable only for one-time and recurring charges. - `productRatePlanCharge.deferredRevenueAccount` (string) The name of the deferred revenue account for this charge. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `productRatePlanCharge.description` (string) Description of the product rate plan charge. - `productRatePlanCharge.discountClassId` (string,null) ID of the class the discount belongs to. The discount class defines the order in which discount product rate plan charges are applied. For more information, see [Manage Discount Classes](https://knowledgecenter.zuora.com/BC_Subscription_Management/Product_Catalog/B_Charge_Models/Manage_Discount_Classes). - `productRatePlanCharge.discountLevel` (string,null) The application scope of the discount charge. For example, if the value of this field is subscription and the value of the applyDiscountTo field is RECURRING, the discount charge applies to all recurring charges in the same subscription as the discount charge. Enum: "rateplan", "subscription", "account", null - `productRatePlanCharge.drawdownRate` (number,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The [conversion rate](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge#UOM_Conversion) between Usage UOM and Drawdown UOM for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). Must be a positive number (>0). - `productRatePlanCharge.endDateCondition` (string) The end date condition for this charge. Enum: "SubscriptionEnd", "OneTime", "FixedPeriod", "SpecificEndDate" - `productRatePlanCharge.excludeItemBillingFromRevenueAccounting` (boolean) Indicates whether to exclude the related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `productRatePlanCharge.excludeItemBookingFromRevenueAccounting` (boolean) Indicates whether to exclude the related rate plan charges and order line items from revenue accounting. Note: This field is only available if you have the Order to Revenue or Billing - Revenue Integration feature enabled. - `productRatePlanCharge.includedUnits` (number) Specifies the number of units in the base set of units. - `productRatePlanCharge.isRollover` (boolean) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. It determines whether the rollover fields are needed. - `productRatePlanCharge.isStackedDiscount` (boolean) Note: This field is only applicable to the Discount - Percentage charge model. This field indicates whether the discount is to be calculated as stacked discount. Possible values are as follows: - True: This is a stacked discount, which should be calculated by stacking with other discounts. - False: This is not a stacked discount, which should be calculated in sequence with other discounts. For more information, see [Stacked discounts](https://knowledgecenter.zuora.com/Zuora_Billing/Products/Product_Catalog/B_Charge_Models/B_Discount_Charge_Models). - `productRatePlanCharge.legacyRevenueReporting` (boolean) Indicates whether to use the legacy revenue reporting for this charge. - `productRatePlanCharge.listPriceBase` (string) The list price base for the product rate plan charge. This field is only applicable for recurring charges. Enum: "Per Billing Period", "Per Month", "Per Week", "Per Year", "Per Specific Months" - `productRatePlanCharge.specificListPriceBase` (integer,null) The number of months for the list price base of the charge. The value of this field is null if you do not set the value of the listPriceBase field to Per_Specific_Months. - `productRatePlanCharge.maxQuantity` (number) The maximum number of units for this charge. This field and the minQuantity field can be used to create a range of units allowed in a product rate plan charge. - `productRatePlanCharge.minQuantity` (number) The minimum number of units for this charge. This field and the maxQuantity field can be used to create a range of units allowed in a product rate plan charge. - `productRatePlanCharge.name` (string) Name of the product rate-plan charge. Not required to be unique. - `productRatePlanCharge.numberOfPeriod` (integer,null) Specifies the number of periods to use when calculating charges in an overage smoothing charge model. This field is ued when overage smoothing model is RollingWindow or Rollover. - `productRatePlanCharge.overageCalculationOption` (string,null) Value specifies when to calculate overage charges. Enum: "EndOfSmoothingPeriod", "PerBillingPeriod", null - `productRatePlanCharge.overageUnusedUnitsCreditOption` (string,null) Determines whether to credit the customer with unused units of usage. Enum: "NoCredit", "CreditBySpecificRate" - `productRatePlanCharge.priceChangeOption` (string,null) Applies an automatic price change when a termed subscription is renewed and the following applies: 1. AutomatedPriceChange setting is on 2. Charge type is not one-time 3. Charge model is not discount fixed amount Enum: "NoChange", "SpecificPercentageValue", "UseLatestProductCatalogPricing" - `productRatePlanCharge.priceIncreasePercentage` (number,null) Specifies the percentage to increase or decrease the price of a termed subscription's renewal. Use this field if you set the PriceChangeOption value to SpecificPercentageValue. 1. AutomatedPriceChange setting is on 2. Charge type is not one-time 3. Charge model is not discount fixed amount Values: a decimal between -100 and 100 - `productRatePlanCharge.productRatePlanChargeNumber` (string) The natural key of the product rate plan charge. - `productRatePlanCharge.prorationOption` (string) Note: This field is only available if you have the Charge Level Proration feature enabled. The charge-level proration option for the product rate plan charge. - `productRatePlanCharge.ratingGroup` (string,null) Specifies a rating group based on which usage records are rated. Possible values: - ByBillingPeriod (default): The rating is based on all the usages in a billing period. - ByUsageStartDate: The rating is based on all the usages on the same usage start date. - ByUsageRecord: The rating is based on each usage record. - ByUsageUpload: The rating is based on all the usages in a uploaded usage file (.xls or .csv). - ByGroupId: The rating is based on all the usages in a custom group. Note: - The ByBillingPeriod value can be applied for all charge models. - The ByUsageStartDate, ByUsageRecord, and ByUsageUpload values can only be applied for per unit, volume pricing, and tiered pricing charge models. - The ByGroupId value is only available if you have the Active Rating feature enabled. - Use this field only for Usage charges. One-Time Charges and Recurring Charges return NULL. - `productRatePlanCharge.revRecTriggerCondition` (string,null) Specifies when revenue recognition begins. Enum: "ContractEffectiveDate", "ServiceActivationDate", "CustomerAcceptanceDate", null - `productRatePlanCharge.revenueRecognitionRuleName` (string) The name of the revenue recognition rule governing the revenue schedule. - `productRatePlanCharge.rolloverPeriodLength` (integer) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The period length of the rollover fund. - `productRatePlanCharge.recognizedRevenueAccount` (string) The name of the recognized revenue account for this charge. - Required when the Allow Blank Accounting Code setting is No. - Optional when the Allow Blank Accounting Code setting is Yes. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). - `productRatePlanCharge.smoothingModel` (string,null) Specifies the smoothing model for an overage smoothing charge model or an tiered with overage model, which is an advanced type of a usage model that avoids spikes in usage charges. If a customer's usage spikes in a single period, then an overage smoothing model eases overage charges by considering usage and multiple periods. One of the following values shows which smoothing model will be applied to the charge when Overage or Tiered with Overage is used: - RollingWindow considers a number of periods to smooth usage. The rolling window starts and increments forward based on billing frequency. When allowed usage is met, then period resets and a new window begins. - Rollover considers a fixed number of periods before calculating usage. The net balance at the end of a period is unused usage, which is carried over to the next period's balance. - `productRatePlanCharge.specificBillingPeriod` (integer,null) When the billing period is set to Specific Months then this positive integer reflects the number of months for billing period charges. - `productRatePlanCharge.taxable` (boolean) Specifies whether the charge is taxable; used by Zuora Tax. - `productRatePlanCharge.taxCode` (string) Specifies the tax code for taxation rules; used by Zuora Tax. - `productRatePlanCharge.taxMode` (string,null) Specifies how to define taxation for the charge; used by Zuora Tax. Enum: "TaxExclusive", "TaxInclusive", null - `productRatePlanCharge.triggerEvent` (string) Specifies when to start billing the customer for the charge. Values: one of the following: - ContractEffective is the date when the subscription's contract goes into effect and the charge is ready to be billed. - ServiceActivation is the date when the services or products for a subscription have been activated and the customers have access. - CustomerAcceptance is when the customer accepts the services or products for a subscription. - SpecificDate is the date specified. Enum: "ContractEffective", "ServiceActivation", "CustomerAcceptance", "SpecificDate" - `productRatePlanCharge.upToPeriods` (integer,null) Specifies the length of the period during which the charge is active. If this period ends before the subscription ends, the charge ends when this period ends. If the subscription end date is subsequently changed through a Renewal, or Terms and Conditions amendment, the charge end date will change accordingly up to the original period end. - `productRatePlanCharge.upToPeriodsType` (string,null) The period type used to define when the charge ends. Enum: "Billing Periods", "Days", "Weeks", "Months", "Years", null - `productRatePlanCharge.usageRecordRatingOption` (string,null) Determines how Zuora processes usage records for per-unit usage charges. - `productRatePlanCharge.useDiscountSpecificAccountingCode` (boolean,null) Determines whether to define a new accounting code for the new discount charge. - `productRatePlanCharge.useTenantDefaultForPriceChange` (boolean) Shows the tenant-level percentage uplift value for an automatic price change to a termed subscription's renewal. You set the tenant uplift value in the web-based UI: Settings > Billing > Define Default Subscription Settings. - `productRatePlanCharge.validityPeriodType` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. The period in which the prepayment units are valid to use as defined in a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). Enum: "SubscriptionTerm", "Annual", "SemiAnnual", "Quarter", "Month" - `productRatePlanCharge.weeklyBillCycleDay` (string) Specifies which day of the week as the bill cycle day (BCD) for the charge. This feature is in Limited Availability. If you wish to have access to the feature, submit a request at [Zuora Global Support](http://support.zuora.com/). Enum: "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" - `productRatePlanCharge.priceUpsellQuantityStacked` (boolean) Indicates whether the price upsell quantity is stacked. - `productRatePlanCharge.deliveryScheduleId` (string) The unique identifier of the delivery schedule associated with the product rate plan charge. This field is applicable only when this charge is using Delivery Pricing charge model. - `productRatePlanCharge.isCommitted` (boolean) Indicates whether the charge is commited. - `productRatePlanCharge.productRatePlanId` (string) The unique identifier of the product rate plan to which this product rate plan charge belongs. - `productRatePlanCharge.accountReceivableAccountingCodeId` (string) The type of the accounting code for accounts receivable. - `productRatePlanCharge.recognizedRevenueAccountingCodeId` (string) The accounting code for recognized revenue, such as Monthly Recurring Charges or Overage Charges. - `productRatePlanCharge.deferredRevenueAccountingCodeId` (string,null) The type associated with the deferred revenue accounting code, such as Deferred Revenue. - `productRatePlanCharge.adjustmentLiabilityAccountingCodeId` (string) The type associated with the adjustment liability accounting code. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `productRatePlanCharge.adjustmentRevenueAccountingCodeId` (string) The type associated with the adjustment revenue accounting code. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `productRatePlanCharge.contractAssetAccountingCodeId` (string) The type associated with the contract asset accounting code. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `productRatePlanCharge.contractLiabilityAccountingCodeId` (string) The accounting code for contract liability. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `productRatePlanCharge.contractRecognizedRevenueAccountingCodeId` (string) The accounting code for contract recognized revenue. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `productRatePlanCharge.unbilledReceivablesAccountingCodeId` (string,null) The accounting code for unbilled receivables. Note: This field is only available if you have the Zuora Billing - Revenue Integration feature enabled. - `productRatePlanCharge.revRecCode` (string,null) Associates this product rate plan charge with a specific revenue recognition code. - `productRatePlanCharge.uOM` (string,null) Describes the Units of Measure (uom) configured in Settings > Billing for the productRatePlanCharges. - `productRatePlanCharge.drawdownUom` (string) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [drawdown charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_drawdown_charge). - `productRatePlanCharge.prepaidUom` (string,null) Note: This field is only available if you have the [Prepaid with Drawdown](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown) feature enabled. Unit of measurement for a [prepayment charge](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/J_Billing_Operations/Prepaid_with_Drawdown/Create_prepayment_charge). - `productRatePlanCharge.productRatePlan` (object) The product rate plan that contains this product rate plan charge. - `productRatePlanCharge.productRatePlanChargeTiers` (array) The product rate plan charge tiers contained in this product rate plan charge. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.